

.Modal-bg {
    position: fixed;
    z-index: 1;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    background-color: rgba(160, 160, 160, .6);
    .Modal {
        position: fixed;
        z-index: 2;
        top: 20px;
        width: calc(50vw - 20px);
        height: auto;
        left: 10px;
        @media screen and (max-width: 1024px) {
          left: 50%;
          top: 50%;
          transform: translate(-50%, -50%);
        }
        @media screen and (max-width: 768px) {
          width: 80vw;
        }
        @media screen and (max-width: 640px) {
          width: calc(100vw - 20px);
        }
        .Img-thumb {
          border-radius: 7px 7px 0 0;
          height: 175px;
          width: 100%;
          background-repeat: no-repeat;
          background-size: 100% auto;
          background-position: center;
          position: relative;
          background-color: white;
          .Overlay-text {
            color: white;
            font-size: 30px;
            line-height: 1.1;
            padding-left: 30px;
            display: flex;
            align-items: center;
            height: 100%;
            width: 50%;
          };
          .CloseBtn {
            position: absolute;
            top: 10px;
            right: 10px;
            z-index: 1;
            width: 40px;
            height: 40px;
            background-color: white;
            border-radius: 50%;
            cursor: pointer;
            span {
              display: block;
              width: 20px;
              height: 2px;
              background: black;
              z-index: 1;
              position: absolute;
              top: 0;
              left: 10px;

              &:first-child
              {
                transform-origin: center;
                transform: translate(0px, 20px) rotate(45deg);
              }

              &:last-child
              {
                transform-origin: center;
                transform: translate(0px, 20px) rotate(-45deg);
              }
            }
          }
        }
    
        .Title {
            padding-left: 30px;
            font-size: 25px;
            height: 70px;
            display: flex;
            align-items: center;
            border-bottom: .8px solid rgb(230, 230, 230);  
            background-color: white;
        }
        ul.Ingredients {
            padding-top: 10px;
            padding-bottom: 50px;
            padding-left: 30px;
            background-color: white;
            border-radius: 0 0 7px 7px;
            li {
                list-style: none;
                padding-bottom: 5px;
                text-transform: capitalize
            }
        }
    }
}